/* --- Copyright University of Sussex 1990. All rights reserved. ----------
 > File:            $poplocal/local/lib/sun4keys.p
 > Purpose:         Set VED up for Sun type-4 keyboard
 > Author:          John Williams, Jun  7 1990
 > Documentation:   HELP * SUN4KEYS
 > Related Files:   LIB * VEDSUN4KEYS, LIB * VEDSUN4XTERMKEYS
 */

section;

define lconstant Load_and_run(libname);
    lvars libname;
    useslib(libname);
    apply(valof(libname));
    false -> vedfunctionkeys;
enddefine;

lvars TERM = systranslate('TERM');

global constant sun4keys;

if TERM = 'xterm' then
    Load_and_run("vedsun4xtermkeys" ->> sun4keys)
elseif TERM = 'sun' or TERM = 'pwmsun' then
    Load_and_run("vedsun4keys" ->> sun4keys)
else
    false -> sun4keys
endif;


endsection;
